Commit 88e64937 authored by Daniel Scheffler's avatar Daniel Scheffler
Browse files

Re-added dependency scikit-image.


Signed-off-by: Daniel Scheffler's avatarDaniel Scheffler <danschef@gfz-potsdam.de>
parent 34f44a30
Pipeline #5528 passed with stage
in 4 minutes and 24 seconds
...@@ -62,7 +62,7 @@ Using conda_, the recommended approach is: ...@@ -62,7 +62,7 @@ Using conda_, the recommended approach is:
# create virtual environment for py_tools_ds, this is optional # create virtual environment for py_tools_ds, this is optional
conda create -y -q --name py_tools_ds python=3 conda create -y -q --name py_tools_ds python=3
source activate py_tools_ds source activate py_tools_ds
conda install -c conda-forge numpy gdal pyproj shapely pandas conda install -c conda-forge numpy gdal pyproj shapely scikit-image pandas
Then install py_tools_ds using the pip installer: Then install py_tools_ds using the pip installer:
......
...@@ -25,6 +25,7 @@ requirements: ...@@ -25,6 +25,7 @@ requirements:
- numpy - numpy
- gdal - gdal
- pyproj - pyproj
- scikit-image
- geopandas - geopandas
- six - six
- spectral - spectral
......
...@@ -3,6 +3,7 @@ kealib # fix for libkea.so.1.4.7: cannot open shared object file: No such file ...@@ -3,6 +3,7 @@ kealib # fix for libkea.so.1.4.7: cannot open shared object file: No such file
numpy numpy
shapely shapely
six six
scikit-image
pandas pandas
geopandas geopandas
pyproj pyproj
......
...@@ -36,7 +36,7 @@ version = {} ...@@ -36,7 +36,7 @@ version = {}
with open("py_tools_ds/version.py") as version_file: with open("py_tools_ds/version.py") as version_file:
exec(version_file.read(), version) exec(version_file.read(), version)
requirements = ['gdal', 'numpy', 'shapely', 'six', 'pandas', 'geopandas', 'pyproj', 'spectral'] requirements = ['gdal', 'numpy', 'shapely', 'six', 'pandas', 'scikit-image', 'geopandas', 'pyproj', 'spectral']
setup_requirements = [] # TODO(danschef): put setup requirements (distutils extensions, etc.) here setup_requirements = [] # TODO(danschef): put setup requirements (distutils extensions, etc.) here
test_requirements = requirements + ["coverage", "nose", "nose2", "nose-htmloutput", "rednose"] test_requirements = requirements + ["coverage", "nose", "nose2", "nose-htmloutput", "rednose"]
......
...@@ -11,6 +11,7 @@ dependencies: ...@@ -11,6 +11,7 @@ dependencies:
- conda-forge::libgdal # force to use conda-forge for libgdal to avoid package version incompatiblies due to mixed channels (libkea.so.1.4.7: cannot open shared object file: No such file or directory) - conda-forge::libgdal # force to use conda-forge for libgdal to avoid package version incompatiblies due to mixed channels (libkea.so.1.4.7: cannot open shared object file: No such file or directory)
# - kealib # fix for libkea.so.1.4.7: cannot open shared object file: No such file or directory (not needed as long as libgdal and gdal are conda-forge packages) # - kealib # fix for libkea.so.1.4.7: cannot open shared object file: No such file or directory (not needed as long as libgdal and gdal are conda-forge packages)
- pyproj - pyproj
- scikit-image
- geopandas - geopandas
- pip: - pip:
- sphinx-argparse - sphinx-argparse
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment